Skip to main content
POST
/
events
/
businesses
/
{businessId}
Gets all events for a business.
curl --request POST \
  --url https://api.leadping.ai/events/businesses/{businessId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "pageSize": "<string>",
  "continuationToken": "<string>",
  "orderBy": [
    {
      "field": "<string>"
    }
  ],
  "includeCount": true,
  "search": "<string>",
  "searchFields": [
    "<string>"
  ],
  "filters": [
    {
      "value": "<unknown>",
      "field": "<string>"
    }
  ],
  "rangeFilters": [
    {
      "greaterThan": "<unknown>",
      "greaterThanOrEqual": "<unknown>",
      "lessThan": "<unknown>",
      "lessThanOrEqual": "<unknown>",
      "field": "<string>"
    }
  ]
}
'
{
  "items": [
    {
      "id": "<string>",
      "eventType": "<string>",
      "description": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdBy": "<string>"
    }
  ],
  "pageSize": "<string>",
  "totalCount": "<string>",
  "continuationToken": "<string>"
}

Path Parameters

businessId
string
required

The business identifier.

Body

The filtering, sorting, and pagination options.

pageSize
string<int32>
Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null
orderBy
object[] | null
includeCount
boolean | null
search
string | null
searchFields
string[] | null
filters
object[] | null
rangeFilters
object[] | null

Response

Returns the paged event table row.

items
object[]
pageSize
string<int32>
Pattern: ^-?(?:0|[1-9]\d*)$
totalCount
string<int32> | null
Pattern: ^-?(?:0|[1-9]\d*)$
continuationToken
string | null